Debian Bug report logs - #337558
RM: gccchecker -- RoM; dead upstream; only works with gcc 2.95; valgrind provides better functionality

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: blp@cs.stanford.edu

Date: Sat, 5 Nov 2005 00:03:07 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Michlmayr <tbm@cyrius.com>, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#337558; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to blp@cs.stanford.edu:
New Bug report received and forwarded. Copy sent to Martin Michlmayr <tbm@cyrius.com>, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Pfaff <blp@cs.stanford.edu>
To: submit@bugs.debian.org
Subject: please remove gccchecker package
Date: Fri, 04 Nov 2005 15:52:34 -0800
Package: ftp.debian.org
Severity: normal

Please remove the gccchecker package, for several reasons:

        * It works only with GCC 2.95, not with any earlier or
          later version.  It requires compiler support that was
          added in 2.95 and has been removed from later
          versions.  It seems unlikely that support will be
          restored in any later version.

        * valgrind provides all the features of Checker, without
          the need to recompile programs and (especially) to
          write a stub for every library function.

        * Upstream development has been stalled since 2000 or
          before.

        * As far as I know, no one is actively using Checker.

        * C++ support has never worked properly.

        * gccchecker dependencies are blocking the removal of
          libgd-gif, which is otherwise not used by any other
          package (according to Martin Michlmayr
          <tbm@cyrius.com>).

I am an upstream co-maintainer of Checker, but I've done no work
on it or the Debian package in a long time.
-- 
"[Modern] war is waged by each ruling group against its own subjects,
 and the object of the war is not to make or prevent conquests of territory,
 but to keep the structure of society intact."
--George Orwell, _1984_



Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to blp@cs.stanford.edu:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 337558-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 337558-close@bugs.debian.org
Cc: gccchecker@packages.debian.org, gccchecker@packages.qa.debian.org
Subject: Bug#337558: fixed
Date: Sun, 20 Nov 2005 10:19:35 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

gccchecker | 0.9.9.1.20011205-15.1 | source, i386

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 337558@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 10:30:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 13:07:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.